* GUT, J.A.W. Programao Matemtica para Otimizao de Processos. EDUSP 2021.
* https://sites.usp.br/otimizacao/
***** Problema de transporte ******************************
***** Declarao de variveis *****************************
FREE VARIABLE f;
POSITIVE VARIABLE x11, x12, x13, x21, x22, x23;
***** Declarao de equaes ******************************
EQUATION h0, h1, h2, h3, g1, g2;
***** Equaes ********************************************
h0.. f - 0.053*(1.8*x11 + 1.5*x12 + 1.4*x13 + 1.0*x21 + 1.3*x22 + 2.5*x23) =E= 0;
h1.. x11 + x21 -900 =E= 0;
h2.. x12 + x22 -700 =E= 0;
h3.. x13 + x23 -800 =E= 0;
g1.. x11 + x12 + x13 -1500 =L= 0;
g2.. x21 + x22 + x23 -1500 =L= 0;
***** Limites e valores iniciais **************************
X11.LO = 0;
X11.L = 300;
X11.UP = 1500;
***** Soluo do problema *********************************
MODEL transporte /ALL/ ;
SOLVE transporte USING LP MINIMAZING f;
***********************************************************

